OTPme - Feature #50
Feature # 49 (In Bearbeitung): add PAM module

add support for offline tokens
05 July 2015 13:25 - The 2nd

Status: Neu Start date: 05 July 2015
Priority: Normal Due date:

Assignee: % Done: 70%
Category: Estimated time: 0:00 hour
Target version: OTPme 0.3

Description

a token should be markable as being allowed to be used for offline logins.

e to improve security against offline attacks (e.g. a stolen notebook) tokens should only be saved encrypted
¢ another idea would be to use another (offline) secret when doing offline logins.  * this requires special support within the used
softtoken or can be accomplished by using a second (offline) profile

History

#1 - 29 July 2015 23:03 - The 2nd
- % Done changed from 30 to 60

¢ basic offline support working

e current implementation needs a static part in the password/OTP that is used to encrypt the token config

#2 - 30 December 2015 02:46 - The 2nd
- % Done changed from 60 to 70
